require File.expand_path(File.dirname(__FILE__) + '/../spec_config.rb')

describe Asset do
  before do
    @asset = Asset.new
  end

  it 'should be a Mongo document' do
    @asset.must be_document
  end

  it 'should be embedded in a Page' do
    @asset.must embedded_in(:page)
  end

  it 'should have a used field' do
    @asset.must have_field(:used).of_type(Boolean)
  end

  it 'should have a caption field' do
    @asset.must have_field(:caption)
  end

  it 'should have a source field' do
    @asset.must have_field(:source)
  end

  it 'should have a description field' do
    @asset.must have_field(:description)
  end

  it 'should have an attachment' do
    @asset.must have_field(:attachment)
  end

end
