require File.expand_path(File.dirname(__FILE__) + '/../spec_config.rb')

describe Fragment do

  before do
    @fragment = Fragment.new
  end

  it 'should be a Mongo document' do
    @fragment.must be_document
  end

  it 'should be embedded in a Page' do
    @fragment.must embedded_in(:page)
  end

  it 'should have a label field' do
    @fragment.must have_field(:label)
  end

  it 'should have a body field' do
    @fragment.must have_field(:body)
  end

  it 'should have an active field' do
    @fragment.must have_field(:active)
  end

  it 'should have an index on label' do
    @fragment.must have_index_for(:label)
  end

  it 'should be invalid if label is not specified' do
    @fragment.valid?.must_equal false
  end

  it 'should be valid if label is specified' do
    @fragment.label = 'Test Label'
    @fragment.valid?.must_equal true
  end

end
